
!WAPackage class methodsFor: '*Seaside-Tests-InternetExplorer' stamp: 'lr 10/23/2008 21:34'!
seasideTestsInternetExplorer
	^ self new
		name: 'Seaside-Tests-InternetExplorer';
		description: 'Unit tests for the package Seaside-InternetExplorer.';
		addDependency: 'Seaside-InternetExplorer';
		addDependency: 'Seaside-Tests-Core';
		yourself! !

!WAResponseTest methodsFor: '*seaside-tests-internetexplorer' stamp: 'pmm 7/7/2008 06:49'!
testForceSafe
	self assert: response headers isEmpty.
	response forceSafe.
	self assert: (response headerAt: 'X-Download-Options') value 
				= 'noopen'.
	self assert: response headers size = 1! !

!WAResponseTest methodsFor: '*seaside-tests-internetexplorer' stamp: 'pmm 9/4/2008 11:27'!
testIMeanIt
	self assert: response headers isEmpty.
	response iMeanIt.
	self assert: (response headerAt: 'X-Content-Type-Options') value 
				= 'nosniff'.
	self assert: response headers size = 1! !

!WAResponseTest methodsFor: '*seaside-tests-internetexplorer' stamp: 'pmm 7/7/2008 06:50'!
testImNice
	self assert: response headers isEmpty.
	response imNice.
	self assert: (response headerAt: 'P3P') value 
				= 'CP="CAO PSA OUR"'.
	self assert: response headers size = 1! !
